Mini vMac troubles (pics)

About Mini vMac and all other 68k emulators, including SoftMac, Executor, and MESS.

Moderators: Cat_7, Ronald P. Regensburg

Post Reply
BlinkyKoala
Student Driver
Posts: 16
Joined: Sat Sep 03, 2011 9:05 pm

Mini vMac troubles (pics)

Post by BlinkyKoala »

Image
Here is the problem I get when loading macgarden's emulation disc http://www.macintoshgarden.org/apps/mac ... disk-image
What can I do?

Here is another problem while trying to run a program that works in other emulators I have tried.
Image

I would love some pointers.
User avatar
ClockWise
Site Admin
Posts: 4016
Joined: Mon May 20, 2002 4:37 am
Location: Uiwang
Contact:

Post by ClockWise »

Looks like that system setup includes an extension that Mini vMac's emulated system doesn't like. It has been only tested in Basilisk II, according to the description. I can test it out myself later.

You could set up your own disk image:

http://emaculation.com/doku.php/mini_vmac_setup
BlinkyKoala
Student Driver
Posts: 16
Joined: Sat Sep 03, 2011 9:05 pm

Post by BlinkyKoala »

I am more troubled by the "Could not start the application because your computer's ROMs are too old." I get from Turbosynth.

The program's first version was made in 1988 and this version was from 1995 so I don't know why it could be too new to run on this. It initializes fine on SheepShaver and Basalisk II in any system 7 version.
User avatar
ClockWise
Site Admin
Posts: 4016
Joined: Mon May 20, 2002 4:37 am
Location: Uiwang
Contact:

Post by ClockWise »

It's quite possible that a version from 1995 won't run on a Mac Plus from 1986, which is what Mini vMac emulates. I don't know about the application, but it isn't a total impossibility...
User avatar
Ronald P. Regensburg
Expert User
Posts: 6391
Joined: Thu Feb 09, 2006 10:24 pm
Location: Amsterdam, Netherlands

Post by Ronald P. Regensburg »

Well, Mini vMac emulates different (and older) Macs than BasiliskII and uses different (and older ROM files) to run. An application from 1995 may not run on a Mac Plus.

Also, you cannot simply run any system installed on one machine on a different machine, even when both machines should be able to run that same system version. A specific system version may include different files on different machines. That this 7.5.5 runs in BasiliskII does not mean that it can also run in Mini vMac. Maybe it will after removing or disabling incompatible extensions while running it in BasiliskII.
yksoft1
Master Emulator
Posts: 392
Joined: Tue Aug 14, 2007 4:32 pm
Location: People's Republic of China

Post by yksoft1 »

The cause of the first error is that the Apperance extension requires 68020 and color Quickdraw..
Silent Flamer
Master Emulator
Posts: 430
Joined: Tue Feb 23, 2010 7:35 am

Post by Silent Flamer »

But I do like to know how he got a full background image in his second screenshot .
Ambassador
Apple Corer
Posts: 203
Joined: Thu Oct 16, 2008 10:09 pm
Location: Canada
Contact:

Post by Ambassador »

But I do like to know how he got a full background image in his second screenshot .
There were programs that allowed you to do this pre-OS8.
Post Reply